
D4Science Infrastructure - Task #5584

 Please upgrade resource-registry

Oct 27, 2016 10:42 AM - Luca Frosini

Status: Closed Start date: Oct 27, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

The new version is:

resource-registry-1.2.0-20161027.082258-5.war

I already upgraded the version on ansible script ( library/roles/smartgears/resource_registry/defaults/main.yml ) and then I tried to

install it.

Unfortunately something is not working properly:

On the target host ( resourceregistry1-d-d4s ) the war is present on home folder but the service which is still deployed is an old

version:

cat tomcat/webapps/resource-registry/META-INF/maven/org.gcube.information-system/resource-registry

/pom.properties 

#Generated by Apache Maven

#Thu Sep 29 17:13:31 CEST 2016

version=1.1.0-SNAPSHOT

groupId=org.gcube.information-system

artifactId=resource-registry

History

#1 - Oct 27, 2016 10:42 AM - Luca Frosini

- Description updated

#2 - Oct 27, 2016 10:43 AM - Luca Frosini

- Description updated

#3 - Oct 27, 2016 12:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

When upgrading you need to pass an additional variable to the play, so that the old webapp will be removed:

-e 'resource_registry_upgrade=True'

 You also need to specify your token, as requested by smartgears 2:

-e 'gcube_admin_token=<TOKEN>'

#4 - Oct 28, 2016 11:51 AM - Luca Frosini

- Status changed from Feedback to Closed

- % Done changed from 30 to 100

Thanks for yr support
